void saveul()
{
nt=0;//сброс номера температ датчика


int q=0;
if((hour1<1)&&(min1<20))timev=0;//до 00:20 сброс timev-врмя записи на флеш улица восто приходят каждые 3 мин а зап каждые 20 мин

  if(timev+20<hour1*60+min1){q=1;}

  
ct1=ct1+1;//счетчик пропуска записи данных 
Serial.print("ct=");
Serial.println(ct1);
if(ct1>15){
  ct1=0;
q=1;
  }//счетчик пропуска записи данныx  
  if(q==1)
{ 
  timev=hour1*60+min1;
  
JSONVar boardat;
if(min1<10)
{boardat["Time"] = String(hour1)+":0"+String(min1); 
}
else
{
  boardat["Time"] = String(hour1)+":"+String(min1); 
}
boardat["temperatura"] =String(tul1)+" C";
boardat["humidity"] = String(hul1)+" %";
tempdat = JSON.stringify(boardat);
 Serial.println (tempdat);
   esp_task_wdt_reset();//reset WDT
//JSON { "Time":"11:03", "temperatura":"10.56 C", "humidity":"7,56 %" },
tempdat=tempdat+"\n";

//myFile = SD.open("/07.txt",FILE_WRITE);
 // myFile = SD.open("/TEMPUL/28.txt", FILE_APPEND);//открываем файл в режиме добавления данных
 // myFile = SD.open("/TEMPUL/2022/FEB/27.txt", FILE_APPEND);//открываем файл в режиме добавления данных

// Serial.println ("open07");
// myFile.print(tempdat+"\n");
// myFile.close();
 //Serial.println (stamp.year);
//************************************************************************************************************************************************************************************************************************************
 Serial.println ("name2");
//  String name1="/TEMPUL"+ stryen[stamp.year-2014]+strmen[stamp.month-1]+strden[stamp.day-1];
// Serial.println (name2);
createDir(SD, "/TEMPUL");
String name1="/TEMPUL"+ String(stryen[stamp.year-2014]);//2022
 char Buf[50];
 name1.toCharArray(Buf, 50);
 Serial.println (Buf);
createDir(SD, Buf);
 name1=name1+String(strmen[stamp.month-1]);//FEB
 name1.toCharArray(Buf, 50);
  Serial.println (Buf);
 createDir(SD, Buf);
 name1=name1+String(strden[stamp.day-1]);//27
 name1.toCharArray(Buf, 50);
  Serial.println (Buf);
 createDir(SD, Buf);

 name1=name1+String(strdaten[1]);//
 name1.toCharArray(Buf, 50);
//createDir(SD, "/TEMPUL/2022/FEB/27");
// name1="/TEMPUL"+ String(stryen[stamp.year-2014])+String(strmen[stamp.month-1])+String(strden[stamp.day-1])+String(strdaten[0]);
 Serial.println (Buf);
appendFile(SD,Buf,tempdat.c_str());//добавление на инфы в файл
  
/*
//test = strcat(name1,name2);
String name1=strcat("/TEMPUL", stryen[stamp.year-2014]);
String name2=strcat(strmen[stamp.month-1], strd[stamp.day-1]);

//+strm[stamp.month-1]+strd[stamp.day-1];

 String name1="/TEMPUL"+ stry[stamp.year-2014]+strm[stamp.month-1]+strd[stamp.day-1];
 Serial.println (name2);
char Buf[50];
  name1.toCharArray(Buf, 50);  
createDir(SD, Buf);

name1=name1+ name2+strdaten[0];
 Serial.println (name1);
name1.toCharArray(Buf, 50);
*/
ct1=0;
//****************************************************
}

}
